aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:44:34 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commit32e62dc7051f54cd22fc11a647083e01749b872a (patch)
treef9d3bec0ff2b1f651a7252e01313c2516b0769dd
parent2824806500f083450bcf06fd15762451a2730d1b (diff)
downloadaports-32e62dc7051f54cd22fc11a647083e01749b872a.tar.gz
aports-32e62dc7051f54cd22fc11a647083e01749b872a.tar.bz2
aports-32e62dc7051f54cd22fc11a647083e01749b872a.tar.xz
main/font-arabic-misc: upgrade to 1.0.3
-rw-r--r--main/font-arabic-misc/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-arabic-misc/APKBUILD b/main/font-arabic-misc/APKBUILD
index 19252b4876..f84a9f0fab 100644
--- a/main/font-arabic-misc/APKBUILD
+++ b/main/font-arabic-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-arabic-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="81595016e2ff859716fc256ebb136ba6 font-arabic-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="cc0726e4a277d6ed93b8e09c1f195470 font-arabic-misc-1.0.3.tar.bz2"
+sha256sums="505d9b12a7093389e67a925dfda6346bde26d114c67f0cdca7aeda6e5d3344f4 font-arabic-misc-1.0.3.tar.bz2"
+sha512sums="46a416bf888afdb54f5dda6c9a7207dc069d14089ba14b262c60cb9ad427784c46e2a61b32a79f1d745e73ea657bbc36b48aa5d4bbd79f73a2d997b027ddfbc0 font-arabic-misc-1.0.3.tar.bz2"